Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd
Class XML11DTDProcessor

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.XMLDTDProcessor
            |
            +--org.apache.xerces.impl.dtd.XMLDTDLoader
                  |
                  +--org.apache.xerces.impl.dtd.XML11DTDProcessor

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLComponent, org.apache.xerces.xni.parser.XMLDTDContentModelFilter, org.apache.xerces.xni.XMLDTDContentModelHandler, org.apache.xerces.xni.parser.XMLDTDContentModelSource, org.apache.xerces.xni.parser.XMLDTDFilter, org.apache.xerces.xni.XMLDTDHandler, org.apache.xerces.xni.parser.XMLDTDSource, org.apache.xerces.xni.grammars.XMLGrammarLoader

public class XML11DTDProcessor
extends XMLDTDLoader

This class extends XMLDTDProcessor by giving it the ability to parse XML 1.1 documents correctly. It can also be used as a DTD loader, so that XML 1.1 external subsets can be processed correctly (hence it's rather anomalous-appearing derivation from XMLDTDLoader).

Version:
  $Id: XML11DTDProcessor.java,v 1.1 2002/12/07 00:18:53 neilg Exp $
Author:
  Neil Graham, IBM

Fields inherited from class org.apache.xerces.impl.dtd.XMLDTDLoader
`ENTITY_RESOLVER, ERROR_HANDLER, fDTDScanner, fEntityManager, fEntityResolver, fLocale, STANDARD_URI_CONFORMANT_FEATURE`

Fields inherited from class org.apache.xerces.impl.dtd.XMLDTDProcessor
`DTD_VALIDATOR, ERROR_REPORTER, fDTDContentModelHandler, fDTDContentModelSource, fDTDGrammar, fDTDHandler, fDTDSource, fDTDValidation, fErrorReporter, fGrammarBucket, fGrammarPool, fInDTDIgnore, fSymbolTable, fValidation, fValidator, fWarnDuplicateAttdef, GRAMMAR_POOL, NOTIFY_CHAR_REFS, SYMBOL_TABLE, VALIDATION, WARN_ON_DUPLICATE_ATTDEF`

Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`XML11DTDProcessor()`
`XML11DTDProcessor(SymbolTable symbolTable)`
`XML11DTDProcessor(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)`

Method Summary
`protected boolean` | `isValidName(java.lang.String name)`
`protected boolean` | `isValidNmtoken(java.lang.String nmtoken)`

Methods inherited from class org.apache.xerces.impl.dtd.XMLDTDLoader
`getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, getRecognizedProperties, loadGrammar, reset, setEntityResolver, setErrorHandler, setFeature, setLocale, setProperty`

Methods inherited from class org.apache.xerces.impl.dtd.XMLDTDProcessor
`any, attributeDecl, checkStandaloneEntityRef, comment, element, elementDecl, empty, endAttlist, endConditional, endContentModel, endDTD, endExternalSubset, endGroup, endParameterEntity, externalEntityDecl, getDTDContentModelHandler, getDTDContentModelSource, getDTDHandler, getDTDSource, getFeatureDefault, getPropertyDefault, getRecognizedFeatures, ignoredCharacters, internalEntityDecl, notationDecl, occurrence, pcdata, processingInstruction, reset, separator, setDTDContentModelHandler, setDTDContentModelSource, setDTDHandler, setDTDSource, startAttlist, startConditional, startContentModel, startDTD, startExternalSubset, startGroup, startParameterEntity, textDecl, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.grammars.XMLGrammarLoader
`getRecognizedFeatures`

Constructor Detail

### XML11DTDProcessor

    public XML11DTDProcessor()

### XML11DTDProcessor

    public XML11DTDProcessor(SymbolTable symbolTable)

### XML11DTDProcessor

    public XML11DTDProcessor(SymbolTable symbolTable,
                             org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

Method Detail

### isValidNmtoken

    protected boolean isValidNmtoken(java.lang.String nmtoken)

  Overrides:
    `isValidNmtoken` in class `XMLDTDProcessor`

### isValidName

    protected boolean isValidName(java.lang.String name)

  Overrides:
    `isValidName` in class `XMLDTDProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.